import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class Applet8 extends Applet implements ItemListener {
	int appNum = (int)(java.lang.Math.random() * 3)+1;
	Font f = new Font("TimesRoman",Font.BOLD,16);
	CheckboxGroup userCheckbox;
	Checkbox rockCheckBox, scissorsCheckBox, paperCheckBox;
	boolean firstTime = true;
	String userChoice;

	public void init() {
		setBackground(Color.white);
		
		userCheckbox = new CheckboxGroup();
		rockCheckBox = new Checkbox("Rock",userCheckbox,false);
		rockCheckBox.addItemListener(this);
		add(rockCheckBox);
		
		scissorsCheckBox = new Checkbox("Scissors",userCheckbox,false);
		scissorsCheckBox.addItemListener(this);
		add(scissorsCheckBox);
		
		paperCheckBox = new Checkbox("Paper",userCheckbox,false);
		paperCheckBox.addItemListener(this);
		add(paperCheckBox);
	}
	
	public void paint(Graphics g) {
		int userNum;
		String appChoice;
		
		g.setFont(f);

		if (firstTime) {
			g.drawString("Play Rock, Scissors, Paper with me!",20,60);
			firstTime = false;
		}
		else {
			switch(appNum) {
				case 1:
					appChoice = "Rock";
					break;
				case 2:
					appChoice = "Scissors";
					break;
				case 3:
					appChoice = "Paper";
					break;
				default:
					appChoice = "Error";
			}
			
			switch (userChoice.charAt(0)) {
				case 'R': 
					userNum = 1;
					break;
				case 'S': 
					userNum = 2;
					break;
				case 'P': 
					userNum = 3;
					break;
				default:
					userNum = 0;
			}

			if (appNum == userNum) {
				g.drawString("Tie game--let's play again.", 20, 60);
			}
			else {
				if ((userNum==1 && appNum==3) || (userNum==2 && appNum==1) || (userNum==3 && appNum==2)) {
					g.drawString("I win! I picked "+appChoice+".", 20, 60);
				}
				else {
					g.drawString("You win! I picked "+appChoice+".", 20, 60);
				}
			}
			g.drawString("Reload the page to play another game",20,80);
		}
	}	
				
	public void itemStateChanged(ItemEvent e) {
        if (e.getSource() instanceof Checkbox) {
			userChoice = userCheckbox.getSelectedCheckbox().getLabel();
			repaint();
		}
	}		
}
