import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class Applet5 extends Applet implements ItemListener, TextListener {
	TextField inputField;
	String displayText = "Enter a string to display";
	String fontFace = "TimesRoman";
	Choice fontMenu;

	public void init() {
		setBackground(Color.white);
				
		add(new Label("Text String:"));
		inputField = new TextField(20);
		inputField.addTextListener(this);
		
		add(inputField);
		
		fontMenu = new Choice();
		fontMenu.addItem("TimesRoman");
		fontMenu.addItem("Helvetica");
		fontMenu.addItem("Courier");
		fontMenu.addItem("Dialog");
		fontMenu.addItem("DialogInput");
		fontMenu.addItemListener(this);
		add(fontMenu);
	}
	
	public void paint(Graphics g) {
		g.setFont(new Font(fontFace,Font.PLAIN,24));
		g.drawString(displayText,150,60);
	} 
	
	public void textValueChanged(TextEvent e) {
		displayText=inputField.getText();
		repaint();
	}
	
	public void itemStateChanged(ItemEvent e) {	
		if (e.getSource() instanceof Choice) {
    		fontFace=fontMenu.getSelectedItem();
	    	repaint();
	    }
	}
}
