import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class Applet7 extends Applet implements ActionListener {
	TextField userField = new TextField(5);
	int userNum = -1;
	Font f = new Font("TimesRoman",Font.BOLD,24);

	public void init() {
		setBackground(Color.white);
        userField.addActionListener(this);
		add(userField);
	}
	
	public void paint(Graphics g) {
		String	outStr = "";
		int i;
	
		g.setFont(f);
		if (userNum < 1) {
			outStr = "Enter a number between 1 and 20";
		}
		else {
			for (i=0; i<userNum; i++) {
				if (i >= 20) break;
				outStr = outStr + "*";
			}
		}
		g.drawString(outStr, 20, 60);
	}	
				
   public void actionPerformed(ActionEvent e) {
		if (e.getSource() instanceof TextField) {
			try {
				userNum = Integer.parseInt(userField.getText());
			} 
			catch (NumberFormatException x) {
				userNum = -1;
			}
			repaint();
		}
	}	
}