import java.awt.*;
import java.applet.*;
import java.awt.event.*;

public class Applet2 extends Applet implements MouseListener, MouseMotionListener {
	Point startPt, endPt;
	
	public void init() {
		setBackground(Color.white);
		addMouseListener(this);
		addMouseMotionListener(this);
	}
	
	public void paint(Graphics g) {
		int rectWidth, rectHeight, startX, startY;
		
		if (endPt != null) {
			startX = Math.min(startPt.x,endPt.x);
			startY = Math.min(startPt.y,endPt.y);		
			rectWidth = Math.abs(endPt.x - startPt.x);
			rectHeight = Math.abs(endPt.y - startPt.y);

			g.fillRect(startX, startY, rectWidth, rectHeight);
		}
	}
	
	public void mousePressed(MouseEvent evt) { 
		startPt = evt.getPoint();
	}

	public void mouseDragged(MouseEvent evt) {
		endPt = evt.getPoint();
		repaint();
	}
		
	public void mouseReleased(MouseEvent evt) {
		endPt = evt.getPoint();
		repaint();
	}
		
	public void mouseClicked(MouseEvent evt) {
	}
		
	public void mouseEntered(MouseEvent evt) {
	}
		
	public void mouseExited(MouseEvent evt) {
	}
		
	public void mouseMoved(MouseEvent evt) {
	}
}